/******************************************************************************
 *
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************
 * Originally developed and contributed by Ittiam Systems Pvt. Ltd, Bangalore
*/

/*****************************************************************************/
/*                                                                           */
/*  File Name         : ittiam_datatypes.h                                   */
/*                                                                           */
/*  Description       : This file has the definitions of the data types used */
/*                                                                           */
/*  Issues / Problems : None                                                 */
/*                                                                           */
/*  Revision History  :                                                      */
/*                                                                           */
/*         DD MM YYYY   Author(s)       Changes (Describe the changes made)  */
/*         06 04 2006   Malavika        Draft                                */
/*                                                                           */
/*****************************************************************************/

#ifndef _ITTIAM_DATATYPES_H_
#define _ITTIAM_DATATYPES_H_

/*****************************************************************************/
/* Unsigned data types                                                       */
/*****************************************************************************/
typedef unsigned char UWORD8;
typedef unsigned short UWORD16;
typedef unsigned int UWORD32;
typedef unsigned long ULWORD64;

typedef unsigned char UWord8;
typedef unsigned short UWord16;
typedef unsigned int UWord32;

/*****************************************************************************/
/* Signed data types                                                         */
/*****************************************************************************/
typedef signed char WORD8;
typedef short WORD16;
typedef int WORD32;
typedef long long LWORD64;

typedef signed char Word8;
typedef short Word16;
typedef int Word32;

/*****************************************************************************/
/* Miscellaneous data types                                                  */
/*****************************************************************************/
typedef char BOOL;
typedef char *pSTRING;

#endif /*_ITTIAM_DATATYPES_H_*/
